#!/bin/bash

FOLDER=`dirname "$0"`

saquery NR | grep -E 'port_guid|node_type' | sed 's/\./ /g' | awk '{print $2}' | sed ':a;N;$!ba;s/Switch\n/Switch/g' | grep -v -E 'Switch|Channel|0x0008' > $FOLDER/guidfile

ibnetdiscover > $FOLDER/ib.txt

GUID1=`cat "$FOLDER/guidfile" | sed '1q;d'`
GUID2=`cat "$FOLDER/guidfile" | sed '2q;d'`

sed -i "s/2c9030032b482/$GUID1/g" ./ib_b2b.txt
sed -i "s/2c9030032b2b1/$GUID2/g" ./ib_b2b.txt
